diff --git a/basice2e/clients.goldoutput/client20.txt b/basice2e/clients.goldoutput/client20.txt
new file mode 100644
index 0000000000000000000000000000000000000000..2b10e4046835de371f6c155d4167bd3efefa75c4
--- /dev/null
+++ b/basice2e/clients.goldoutput/client20.txt
@@ -0,0 +1,42 @@
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Received 10
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Sent: Hello from 20, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Message received: Hello from 21, without E2E Encryption
+Received 10
diff --git a/basice2e/clients.goldoutput/client21.txt b/basice2e/clients.goldoutput/client21.txt
new file mode 100644
index 0000000000000000000000000000000000000000..12b9325a98938a9ca969f1321a8fb084bb3283ea
--- /dev/null
+++ b/basice2e/clients.goldoutput/client21.txt
@@ -0,0 +1,42 @@
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Received 10
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Sent: Hello from 21, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Message received: Hello from 20, without E2E Encryption
+Received 10
diff --git a/basice2e/run.sh b/basice2e/run.sh
index 24488eda9141258b1b8179b581fd02d6a293687d..9e2a7ff1ce2bce96802d54650169fd7cd83c484c 100755
--- a/basice2e/run.sh
+++ b/basice2e/run.sh
@@ -270,6 +270,19 @@ then
     wait $PIDVAL
     wait $PIDVAL2
 
+    echo "FORCING MESSAGE PICKUP RETRY... (NON-E2E, PRECAN)"
+    CLIENTCMD="timeout 240s ../bin/client $CLIENTOPTS --forceMessagePickupRetry --unsafe -l $CLIENTOUT/client20.log -s blob20 --sendid 20 --destid 21 --sendCount 10 --receiveCount 10 -m \"Hello from 20, without E2E Encryption\""
+    eval $CLIENTCMD >> $CLIENTOUT/client20.txt || true &
+    PIDVAL=$!
+    echo "$CLIENTCMD -- $PIDVAL"
+    CLIENTCMD="timeout 240s ../bin/client $CLIENTOPTS --forceMessagePickupRetry --unsafe -l $CLIENTOUT/client21.log -s blob21 --sendid 21 --destid 20 --sendCount 10 --receiveCount 10 -m \"Hello from 21, without E2E Encryption\""
+    eval $CLIENTCMD >> $CLIENTOUT/client21.txt || true &
+    PIDVAL2=$!
+    echo "$CLIENTCMD -- $PIDVAL"
+    wait $PIDVAL
+    wait $PIDVAL2
+
+
 fi
 
 # Non-precanned E2E user messaging
@@ -403,6 +416,18 @@ echo "$CLIENTCMD -- $PIDVAL"
 wait $PIDVAL
 wait $PIDVAL2
 
+echo "FORCING MESSAGE PICKUP RETRY... "
+CLIENTCMD="timeout 240s ../bin/client $CLIENTOPTS --forceMessagePickupRetry -l $CLIENTOUT/client20.log -s blob20 --sendid 20 --destid 21 --sendCount 10 --receiveCount 10 -m \"Hello from 20, without E2E Encryption\""
+eval $CLIENTCMD >> $CLIENTOUT/client20.txt || true &
+PIDVAL=$!
+echo "$CLIENTCMD -- $PIDVAL"
+CLIENTCMD="timeout 240s ../bin/client $CLIENTOPTS --forceMessagePickupRetry -l $CLIENTOUT/client21.log -s blob21 --sendid 21 --destid 20 --sendCount 10 --receiveCount 10 -m \"Hello from 21, without E2E Encryption\""
+eval $CLIENTCMD >> $CLIENTOUT/client21.txt || true &
+PIDVAL2=$!
+echo "$CLIENTCMD -- $PIDVAL"
+wait $PIDVAL
+wait $PIDVAL2
+
 
 # Single-use test: client53 sends message to client52; client52 responds with
 # the same message in the set number of message parts